/* LOCCounter.h -- window class */
/* Created 10/4/91 10:31 AM by AppMaker */

#define _H_LOCCounter 
#include "zLOCCounter.h"

typedef struct {
  long numLines;
  long numSemis;
  long numClasses;
  long prevLines;
  long prevSemis;
  long prevClasses;
  long deltaLines;
  long deltaSemis;
  long deltaClasses;
  Boolean metricsBaselined;
  } TMetricData;

struct CLOCCounter : ZLOCCounter {

	void	ILOCCounter (CDirector	*aSupervisor);
    void	IMetricFields ( TMetricData *data );
	void	AnalyzeFile ( long dirID, TMetricData *data );
	void	AnalyzeDirectory ( long dirID, int index, TMetricData *data );
	void	CountMetrics ( long dirID, int index );
	void 	DoCommand (long		theCommand);

}; /* CLOCCounter */
