/************************************************************************/
/* Name:  PStrCat Module Implementation									*/
/*																		*/
/* Purpose:  Concatenate a Pascal source string to the end of a Pascal	*/
/*     target string.													*/
/*																		*/
/* Author:  Steve Nies													*/
/*																		*/
/* Date created: 28 April 89											*/
/*																		*/
/* Disclaimer:  This software has been developed privately by the		*/
/*     Author and has been released into the Public Domain.  The		*/
/*     author makes no claims as to the correctness or suitability		*/
/*     of the software for the intended purpose.						*/
/************************************************************************/

#include <Style.h>

void PStrCat ( register address target, register address source )

BEGIN
  register string src = (string) source;
  register string trgt = (string) target;
  register int length = *src++;
  register int offset = *trgt;
  *trgt += length;
  trgt += ++offset;
  WHILE length-- LOOP
    *trgt++ = *src++;
  END_LOOP;
END